<?php

/**
 * Load settings from settings.json
 */

$_SETTINGS = [
    "md_template" => "generic",
    "source_folder" => "source",
    "output_folder" => "public",
    "folder_permission" => 775,
    "context" => [
        // Global variables for Mustache templates
    ]
];

$customsettings = json_decode(file_get_contents(__DIR__ . "/../../settings.json"), true);

foreach ($customsettings as $key => $val) {
    $_SETTINGS[$key] = $val;
}

unset($customsettings);